MAILFILTER(1)

NAME
mailfilter - Filters e-mail, gets rid of spam

SYNOPSIS
mailfilter [OPTION]...

DESCRIPTION
Mailfilter is a very flexible utility to get rid of unwanted spam mails, before having to go through the trouble of downloading them into the local computer. It offers support for one or many POP accounts and is especially useful for dialup connections via modem, ISDN, etc.

Mailfilter connects to any POP mail box and compares part of its content to a set of user defined filter rules. That way the spam gets deleted directly on the mail server.

With Mailfilter you can define your own filters (rules) to determine which e-mails should be delivered and which are considered waste. Rules are Regular Expressions, so you can make use of familiar options from other mail delivery programs such as procmail(1) for example.

RETURN VALUE
The mailfilter program normally returns 0 but -1 if an error occurs. However, if it has been invoked with the return-value command line switch, it gives back a positive integer in case there are messages on the POP server. Empty POP accounts would then result in a return value of 0. Using the switch, mailfilter can be embedded into a shell script more easily.

CONFIGURATION
The behaviour of Mailfilter is controlled by command-line options and a configuration file. The program will not start without it. Example configurations can be looked up in the mailfilterex(5) man page, in the INSTALL document or inside the doc/ directory of the Mailfilter distribution.

By default Mailfilter tries to read $HOME/.mailfilterrc to get all its settings from. This is the place where all changes should be made, unless it is explicitly specified otherwise. A comprehensive list of all supported options and keywords can be found in the mailfilterrc(5) man page.

OPTIONS

-h, --help
    Display help information

-L, --logfile=FILE
    Specify logfile location

-M, --mailfilterrc=FILE
    Specify rcfile location

-r, --return-value
    Enable additional return values

-s, --skip-ssl-verify
    Skip verification of SSL certificates (Do not use unless you know better!)

-t, --test
    Simulate deletes

-i, --ignore-time-stamps
    Ignore invalid Message-ID time stamps (Do not use unless you know better!)

-v, --verbose=LEVEL
    Specify level of verbosity

-V, --version
    Display version information

SEE ALSO
mailfilterrc(5), mailfilterex(5), procmail(1), regex(7)

COPYRIGHT
Copyright © 2000-2022 Andreas Bauer <baueran@gmail.com>

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.